Page MenuHomePhabricator

DICOM sort fails for RWV modality
Closed, ResolvedPublic

Description

A directory containing CT and RWV modality files causes some errors, data can't be shared but is available from @kleesiek or @nolden .

Two things are already investigated:

  1. gdcm 2.6 doesn't handle RWV at all, gdcm 2.8 seems to have better support.
  2. Sort failure for some datasets should not necessarily break the complete reading. The CT files of the mentioned dataset are perfectly readable if copied to a separate folder.

Event Timeline

nolden triaged this task as High priority.Nov 30 2018, 1:53 PM
nolden created this task.
nolden added a project: Restricted Project.
floca moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Dec 5 2018, 10:55 AM

If this task is still relevant and it is not needed to read the RWV modality, I assume that T27321 and T27322 will fix the problem and you can read the CT.
So either wait till they are officially in the master or test branch T27321-Improve_DICOM_3DnT_handling directly.

nolden edited projects, added MITK (2020); removed MITK.May 8 2020, 10:39 AM

I'm currently trying to get access to the relevant data again.

nolden closed this task as Resolved.May 8 2020, 3:24 PM
nolden claimed this task.
nolden removed a project: Missing Info.

I got some data now which shows a problem with MITK 2018.4 but works with the current master. I don't see though the RWV thing. Can't remember exactly how I investigated this back then. Let's hope the more robust handling of DICOM fixed this as @floca noted , I informed the reporting users that they should comment if this should be investigated again.